MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001182XdebugUsage problems (Wrong Results)public2015-08-30 06:182015-11-05 16:48
ReporterRyanNerd 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSMintOS Version17.2
Product Version 
Target VersionFixed in Version2.4.0beta1 
Summary0001182: Using PHPStorm with PHP 7 RC1 and xdebug 3.0-dev break points are passed by including setting break point at start of script
DescriptionCompiled today's release of xdebug 3-dev and was able to get PHPStorm 9.0.2 with PHP 7 RC1 as the interepeter to recognize the xdebug.so module and load it without errors. Created a simple test app set a break point and ran in debug mode, but all break points are ignored. Configured to always break on start and that too is ignored.
Switched PHPStorm to use the PHP 5.6.12-1 as the interpreter and no issues.
Steps To ReproduceCreate a simple 3 or 4 line PHP test program.
Build PHP 7.0.0RC1 if you haven't already.
Build xdebug 3.0-dev from today's build run phpize, set the php.ini file etc.
Configure PHPStorm to use PHP 7.0.0RC1 as the interpreter and make sure xdebug is configured as the debugger.
Set a break point n the test.php file.
Configure a run debugger to start with test.php and run test.php in debug mode.
Observe that all break points are ignored.
Even setting PHPStorm to break at start of the script does not work.
Additional InformationOutput from php -v
PHP 7.0.0RC1 (cli) (built: Aug 25 2015 02:32:15)
Copyright (c) 1997-2015 The PHP Group
Zend Engine v3.0.0-dev, Copyright (c) 1998-2015 Zend Technologies
    with Xdebug v3.0.0-dev, Copyright (c) 2002-2015, by Derick Rethans
Tagsexit code 139, PHP7, PHPStorm
Operating SystemMint 17.2
PHP Version7.0RCx
Attached Files

- Relationships

-  Notes
(0003171)
RyanNerd (reporter)
2015-08-30 06:36

I forgot to mention the exit code is 139 which I think is a segmentation fault or a memory related issue.
(0003187)
derick (administrator)
2015-10-23 09:26

Can you try this with the latest Xdebug from GIT? Everything (besides code coverage) should work now.
(0003200)
derick (administrator)
2015-11-05 15:16

Ping?
(0003202)
RyanNerd (reporter)
2015-11-05 16:42

This issue can be closed. Thanks.
(0003203)
derick (administrator)
2015-11-05 16:48

Awesome. Marking as fixed in 2.4.0beta1 then.

- Issue History
Date Modified Username Field Change
2015-08-30 06:18 RyanNerd New Issue
2015-08-30 06:36 RyanNerd Note Added: 0003171
2015-08-30 06:40 RyanNerd Tag Attached: PHP7
2015-08-30 06:41 RyanNerd Tag Attached: exit code 139
2015-08-30 06:41 RyanNerd Tag Attached: PHPStorm
2015-10-23 09:26 derick PHP Version 5.6-dev => 7.0RCx
2015-10-23 09:26 derick Note Added: 0003187
2015-10-23 09:26 derick Assigned To => derick
2015-10-23 09:26 derick Status new => feedback
2015-11-05 15:16 derick Note Added: 0003200
2015-11-05 16:42 RyanNerd Note Added: 0003202
2015-11-05 16:42 RyanNerd Status feedback => assigned
2015-11-05 16:48 derick Note Added: 0003203
2015-11-05 16:48 derick Status assigned => closed
2015-11-05 16:48 derick Resolution open => fixed
2015-11-05 16:48 derick Fixed in Version => 2.4.0beta1
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker